import QtQuick 1.0

Item {
    id:gifPage
    width: 854;height: 480
//    x:-854;y:480
    x:854
    property string gifpath: "/home/user/MyDocs/MMMOOOGif/"
    property string lujing: gifpath+gifname
    property string gifname: "mmmooogif1.gif"
    signal gif_back()
    property bool isgif_china: true
    Image {
        id: background
        source: "img/background.jpg"
    }
    Image {
        id: topbar
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                gif_back()
            }
        }

        Text {
            id: abouttext
            text: isgif_china ? "Gif预览":"Gif Preview"
            font.family: isgif_china? "黑体" : "Arial"
            anchors.centerIn: parent
            font.pixelSize: 38
            color: "white"
        }

    }

    Image {
        id: showkuang
        source: "img/300-300.png"
        anchors.horizontalCenter: parent.horizontalCenter
        y:100
        AnimatedImage{
            id:gifanimation
            x:25;y:22
            source: lujing
        }
    }

    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: gifPage
                x:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: gifPage
                property: "x"
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]

}
