import QtQuick 1.1
//import com.nokia.meego 1.0

Item {
    id:previewPage
    y:480
    width: 854;height: 480
    property int pinglv: 300  //浏览速度
    property int pvnum: 0  //当前第几帧
    property int lastpvnum: 10
    property int selectnum: 0  //被选中减去的图片
    property bool pvstart: false  //浏览定时器开关
    property string mode: "zhengxu"

    property string sximage: "img/pulldown_press_a.png"
    property string sdimage: "img/pulldown_press_a.png"
//    property bool isSelected: false
    property bool xiangqian: true
    signal button_compleate(string mmm,string sss,int tm);   //完成按钮触发信号
    signal preview_back()    //返回按钮触发信号
    property string s0: "1"
    property string s1: "1"
    property string s2: "1"
    property string s3: "1"
    property string s4: "1"
    property string s5: "1"
    property string s6: "1"
    property string s7: "1"
    property string s8: "1"
    property string s9: "1"
    property string s10: "1"
    property string s11: "1"
    property string s12: "1"
    property string s13: "1"
    property string s14: "1"
    property string s15: "1"
    property string s16: "1"
    property string s17: "1"
    property string s18: "1"
    property string s19: "1"
    property string zong: "11111111111111111111"
    property bool ispreview_china: true

    property bool pageshow: true

//    property bool gridkejian: true

    property alias mygird: grid

    property alias sudutext: sdtext.text
    property alias shunxutext: sxtext.text




    //背景图片
    Image {
        id: background
        width: parent.width;height: parent.height
        source: "img/background.jpg"
    }

    //头部条
    Image {
        id:topbar
        anchors.top: parent.top
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            kedian: pageshow
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                pvstart=false
                xiangqian=true
                selectnum=0
                pvnum=0
                lastpvnum=0
                mode="zhengxu"
                sximage="img/pulldown_press_a.png"
                pinglv=60
                sdimage="img/pulldown_press_a.png"
                preview_back()
            }
        }

        Text {
            id: toptext
            text: ispreview_china ? "预览" : "Preview"
            font.pointSize: 27
            font.family: ispreview_china ? "黑体" : "Arial"
            anchors.centerIn: parent
            color: "white"
        }

        Butt {
            id:completeicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 40
            kedian: pageshow
            press_img: "img/button_complete_press.png"
            release_img: "img/button_complete_normal.png"
            onButton_clicked: {
                s0=grid.children[0].isSelected ? "0":"1"
                s1=grid.children[1].isSelected ? "0":"1"
                s2=grid.children[2].isSelected ? "0":"1"
                s3=grid.children[3].isSelected ? "0":"1"
                s4=grid.children[4].isSelected ? "0":"1"
                s5=grid.children[5].isSelected ? "0":"1"
                s6=grid.children[6].isSelected ? "0":"1"
                s7=grid.children[7].isSelected ? "0":"1"
                s8=grid.children[8].isSelected ? "0":"1"
                s9=grid.children[9].isSelected ? "0":"1"
                s10=grid.children[10].isSelected ? "0":"1"
                s11=grid.children[11].isSelected ? "0":"1"
                s12=grid.children[12].isSelected ? "0":"1"
                s13=grid.children[13].isSelected ? "0":"1"
                s14=grid.children[14].isSelected ? "0":"1"
                s15=grid.children[15].isSelected ? "0":"1"
                s16=grid.children[16].isSelected ? "0":"1"
                s17=grid.children[17].isSelected ? "0":"1"
                s18=grid.children[18].isSelected ? "0":"1"
                s19=grid.children[19].isSelected ? "0":"1"
                zong=s0+s1+s2+s3+s4+s5+s6+s7+s8+s9+s10+s11+s12+s13+s14+s15+s16+s17+s18+s19
                button_compleate(mode,zong,pinglv)
            }
        }
    }

    //显示照片的地方
    Image {
        id: screenarea
        x:90;y:80
        source: "img/300-300.png"

        Image {
            id: imageshow
            cache: false
            x: 25
            y: 22
            width: 300
            height: 300

        }
    }

    //帧数格
    Image {
        id: zhenge
        x:500;y:80
        source: "img/black_background.png"
//        Grid {
//            id:backgrid
//            x:25;y:20
//            rows:4
//            spacing:13
//            Repeater {
//                model: 20
//                Image {
//                    id:shi
////                    color: "red"
//                    width: 30;height: 30
//                   source: "/home/user/MyDocs/interim/photo"+index+".png"
//                }
//            }
//        }

        Grid {
           id: grid
           x:20;y:15
           rows:4
           columns: 5
           spacing: 3
//           enabled: pageshow
           Repeater {
               model: 20
               Image {
                   id: xiao
                   width: 40;height: 40
                   source: "img/preview_circle_normal(small).png"
                   property bool isSelected: false //是否被选中
                   MouseArea{
                       anchors.fill: parent
                       onClicked: {
                           if(isSelected==false){
                               if(selectnum<18){
                               xiao.source="img/preview_circle_press(small).png"
                               selectnum=selectnum+1
                               isSelected=true
                                   console.log("===============aaa==selectnum=="+selectnum)
                               }
                           }
                           else {
                               xiao.source="img/preview_circle_normal(small).png"
                               selectnum=selectnum-1
                               isSelected=false
                               console.log("===============bbb==selectnum=="+selectnum)
                           }
                       }
                   }
               }
           }
        }

//        Grid {
//            id:noplaygrid
//            x:20;y:15
//            rows:4
//            spacing:3
//            Repeater {
//                model: 20
//                Image {
//                    id:shi
//                    visible: false
//                    width: 40;height: 40
//                    source: "img/preview_circle_ notplay(small).png"
//                }
//            }
//        }
    }


        Butt {
            id: shudu
            x: 660
            y: 290
            visible: true
            width: 150;height: 45
            anchors.verticalCenterOffset: 73
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 660
            kedian: pageshow
            press_img: "img/pulldown_press.png"
            release_img: "img/pulldown_nomal.png"
            Text {
                id:sdtext
                x: 30
                y: 13
                text: "1X"
                font.pointSize: 15
                color: "#ca0808"
                onTextChanged: {
                    switch(sdtext.text){
                    case "1X":pinglv=300;break;
                    case "3X":pinglv=180;break;
                    case "5X":pinglv=60;break;
                    }
                }
            }
            onButton_clicked: {
                if(black.visible==false){
                black.visible=true
                shudukuang.visible=true
                }
                else{
                    black.visible=false
                    shudukuang.visible=false
                }
            }
        }

        Butt {
            id: shunxu
            width: 150;height:45
            x:479;y:290
            kedian: pageshow
            press_img: "img/pulldown_press.png"
            release_img: "img/pulldown_nomal.png"
            Text {
                id:sxtext
                x: 30
                y: 13
                color: "#ca0808"
                text: "A-B"
                font.bold: true
                font.pointSize: 15
                onTextChanged: {
                    switch(sxtext.text){
                    case "A-B":mode="zhengxu";break;
                    case "B-A":mode="fanxu";break;
                    case "A-B-A":mode="laihui";break;
                    }
                }
            }
            onButton_clicked: {
                if(black2.visible==false){
                black2.visible=true
                shunxukuang.visible=true
                }
                else{
                    black2.visible=false
                    shunxukuang.visible=false
                }
            }
        }

    Image {
        id: black
        x: 660
        visible: false
        width: 150;height: 130
        y:335
        anchors.left: parent.left
        anchors.leftMargin: 660
        source: "img/pulldown_black.png"
    }
    Image {
        id: shudukuang
        x: 660
        visible: false
        width: 150;height: 130
        y:335
        anchors.left: parent.left
        anchors.leftMargin: 660
        source: sdimage
        Text {
            id: x1
            x: 60
            y: 14
            color: "#ffffff"
            text: "1X"
            font.pointSize: 17
        }
        Text {
            id: x3
            x: 60
            y: 53
            color: "#ffffff"
            text: "3X"
            font.pointSize: 17
        }
        Text {
            id: x5
            x: 60
            y: 92
            color: "#ffffff"
            text: "5X"
            font.pointSize: 17
        }
        MouseArea{
            anchors.fill: parent
            onPressed: {
                if((mouseX>=0&&mouseX<=150)&&(mouseY>=3&&mouseY<44)){
                    sdimage="img/pulldown_press_a.png"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=44&&mouseY<85)){
                    sdimage="img/pulldown_press_b.png"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=85&&mouseY<=126)){
                    sdimage="img/pulldown_press_c.png"
                }
            }
            onClicked: {
                if((mouseX>=0&&mouseX<=150)&&(mouseY>=3&&mouseY<44)){
                    sdtext.text="1X"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=44&&mouseY<85)){
                    sdtext.text="3X"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=85&&mouseY<=126)){
                    sdtext.text="5X"
                }
                black.visible=false
                shudukuang.visible=false
            }
        }
    }

    Image {
        id: black2
        visible: false
        width: 150;height: 130
        x:479;y:335
        source: "img/pulldown_black.png"
    }
    Image {
        id: shunxukuang
        visible: false
        width: 150;height: 130
        x:479;y:335
        source: sximage
        Text {
            id: ab
            x: 60
            y: 14
            color: "#ffffff"
            text: "A-B"
            font.pointSize: 17
        }
        Text {
            id: ba
            x: 60
            y: 53
            color: "#ffffff"
            text: "B-A"
            font.pointSize: 17
        }
        Text {
            id: aba
            x: 60
            y: 92
            color: "#ffffff"
            text: "A-B-A"
            font.pointSize: 17
        }
        MouseArea{
            anchors.fill: parent
            onPressed: {
                if((mouseX>=0&&mouseX<=150)&&(mouseY>=3&&mouseY<44)){
                    sximage="img/pulldown_press_a.png"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=44&&mouseY<85)){
                    sximage="img/pulldown_press_b.png"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=85&&mouseY<=126)){
                    sximage="img/pulldown_press_c.png"
                }
            }
            onClicked: {
                if((mouseX>=0&&mouseX<=150)&&(mouseY>=3&&mouseY<44)){
                    sxtext.text="A-B"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=44&&mouseY<85)){
                    sxtext.text="B-A"
                }
                else if((mouseX>=0&&mouseX<=150)&&(mouseY>=85&&mouseY<=126)){
                    sxtext.text="A-B-A"
                }
                black2.visible=false
                shunxukuang.visible=false
            }
        }
    }

    //浏览图片定时器
    Timer {
        id:showTime
        interval: pinglv
        repeat: true
        running: pvstart
        onTriggered: {
            if(mode=="zhengxu"){
                while(1){
                    if(grid.children[pvnum].isSelected==false){
                        break;
                    }
                    else {
                        if(pvnum==19){
                            pvnum=0
                        }
                        else {
                            pvnum=pvnum+1
                        }
                    }
                }
            grid.children[lastpvnum].source="img/preview_circle_normal(small).png"
            grid.children[pvnum].source="img/preview_circle_played(small).png"
            imageshow.source="/home/user/MyDocs/interim/photo"+pvnum+".png"
            lastpvnum=pvnum
            if(pvnum==19){
                pvnum=0
            }
            else {
                pvnum=pvnum+1
            }
        }
            else if(mode=="fanxu"){
                while(1){
                    if(grid.children[pvnum].isSelected==false){
                        break;
                    }
                    else {
                        if(pvnum==0){
                            pvnum=19
                        }
                        else {
                            pvnum=pvnum-1
                        }
                    }
                }
                grid.children[lastpvnum].source="img/preview_circle_normal(small).png"
                grid.children[pvnum].source="img/preview_circle_played(small).png"
                imageshow.source="/home/user/MyDocs/interim/photo"+pvnum+".png"
                lastpvnum=pvnum
                if(pvnum==0){
                    pvnum=19
                }
                else {
                    pvnum=pvnum-1
                }
            }
           else if(mode=="laihui"){
                    while(1){
                        if(grid.children[pvnum].isSelected==false){
                            break;
                        }
                        else {if(xiangqian==true){
                                if(pvnum==19){
                                pvnum=pvnum-1
                                xiangqian=false
                            }
                                else {
                                    pvnum=pvnum+1
                                }
                            }else {
                                if(pvnum==0){
                                    pvnum=pvnum+1
                                    xiangqian=true
                                }
                                else {
                                    pvnum=pvnum-1
                                }
                            }

                        }
                    }
                    grid.children[lastpvnum].source="img/preview_circle_normal(small).png"
                    grid.children[pvnum].source="img/preview_circle_played(small).png"
                    imageshow.source="/home/user/MyDocs/interim/photo"+pvnum+".png"
                    lastpvnum=pvnum
                    if(xiangqian==true){
                        if(pvnum==19){
                        pvnum=pvnum-1
                        xiangqian=false
                    }
                        else {
                            pvnum=pvnum+1
                        }
                    }else{
                        if(pvnum==0){
                            pvnum=pvnum+1
                            xiangqian=true
                        }
                        else {
                            pvnum=pvnum-1
                        }
                    }
            }
        }
    }

    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: previewPage
                y:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: previewPage
                property: "y"
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]
}
