import QtQuick 1.0
//import com.nokia.meego 1.0

Item {
    id:savePage
    x:-854
    width: 854;height: 480
    signal button_save()
    signal button_back()
    property bool issave_china: true
    property string dealUrl: ""
    Image {
        id: background
        source: "img/background.jpg"
        anchors.fill: parent
    }

    Image {
        id:topbar
        anchors.top: parent.top
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                button_back()
                savebutt.kedian=true
                baocun.color="#ffffff"
            }
        }

        Text {
            id: toptext
            text: issave_china ? "保存和分享" : "Save and Share"
            font.pointSize: 27
            font.family: issave_china ? "黑体" : "Arial"
            anchors.centerIn: parent
            color: "white"
        }
    }

    Butt {
        id:savebutt
        width: 386;height: 72
        anchors.top:parent.top
        anchors.topMargin: 150
        anchors.horizontalCenter: parent.horizontalCenter
        press_img: "img/longbutton_press.png"
        release_img: "img/longbutton_normal.png"
        onButton_clicked: {
            button_save()
            savebutt.kedian=false
            baocun.color="#7c7b7b"
        }
        Text {
            id: baocun
            color: "#ffffff"
            text: issave_china ? "保存到相册" : "Save to your photo album"
            font.family: issave_china ? "黑体" : "Arial"
            anchors.centerIn: parent
            font.pixelSize: 30

        }
    }

    Image {
        id:sharebutt
        width: 386;height:72
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 150
        anchors.horizontalCenter: parent.horizontalCenter
        source: "img/longbutton_normal.png"
//        press_img: "img/longbutton_press.png"
//        release_img: "img/longbutton_normal.png"
//        onButton_clicked: {
//            Qt.openUrlExternally("mailto:@?subject=Hi!我发现了一个好玩的app: MMMOOO Gif!&body=Hi!很高兴和大家分享！\n 网址："+dealUrl);
//        }

        Text {
            id: fenxiang
            color: "#914707"
            text: issave_china ? "去‘多媒体资料’中分享它" : "Go to Gallery to Share it"
            font.family: issave_china ? "黑体" : "Arial"
            anchors.centerIn: parent
            font.pixelSize: 20
        }
    }

    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: savePage
                x:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: savePage
                property: "x"
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]

}
