import QtQuick 1.1
//import com.nokia.meego 1.0
import QtMultimediaKit 1.1
import Mygif 1.0

Item {
    id:main
//    tools: commonTools
    width: 854;height: 480
//    orientationLock: PageOrientation.LockPortrait
//    property string dibutiao: "img/navigation_top.png"
    property int shuzi: 20
    property int jtnum: 0
    property bool zidong: true
    property bool camstart: false
    property bool isChina: language=="Chinese"
    property string thisname: ""
    property int pressX: 0
    property int releaseX: 0

    ListModel{
        id:gifmodel
    }

    Image {
        id: background
        anchors.fill: parent
        source: "img/background.jpg"
    }

    Image {
        id: title
        anchors.horizontalCenter: parent.horizontalCenter
        y:10
        source: "img/title.png"
    }

//    Camera {
//        id:camera
//        x:75;y:204
//        width: 366;height: 485
//    }

    Image {
        id: circle
        anchors.horizontalCenter: parent.horizontalCenter
        y:70
//        anchors.centerIn: parent
        source: "img/400-300.png"

            Camera {
                id:camera
                x:22;y:22
                width: 400;height: 300
                focus : visible
                flashMode: Camera.FlashRedEyeReduction
                whiteBalanceMode: Camera.WhiteBalanceFlash
                exposureCompensation: -1.0
                captureResolution : "400x300"
            }
    }

    Column {
        id:col
//        anchors.horizontalCenter: parent.horizontalCenter
        x:50
        y:90
        spacing: 60
        Butt{
            id:retime
            width: 80;height: 48
            press_img: "img/button_press.png"
            release_img: "img/button_normal.png"
            Text {
                id: timenum
                color: "#44150e"
                anchors.centerIn: parent
                text: shuzi
                font.pointSize: 13
            }
        }
        Butt {
            id:helpicon
            width: 80;height:48
            press_img: "img/button_help_press.png"
            release_img: "img/button_help_normal.png"
            onButton_clicked: {
                help.state="zhong"
                //屏蔽主页面可点击区域
                djunable()
//                retime.kedian=false
//                helpicon.kedian=false
//                abouticon.kedian=false
//                cameraicon.kedian=false
//                swibutt.kedian=false
                //=======
            }
        }

        Butt{
            id:abouticon
            width: 80;height: 48
            press_img: "img/button_about_press.png"
            release_img: "img/button_about_normal.png"
            onButton_clicked: {
                about.state="zhong"
                djunable()
                //屏蔽主页面可点击区域
//                retime.kedian=false
//                helpicon.kedian=false
//                abouticon.kedian=false
//                cameraicon.kedian=false
//                swibutt.kedian=false
                //=====
            }
        }
    }


        Butt {
            id:cameraicon
            width: 63;height: 63
            anchors.verticalCenter: parent.verticalCenter
            x:700
            press_img: "img/camera_one_press.png"
            release_img: "img/camera_one_normal.png"
            onButton_clicked: {
                if(zidong==true){
                    camstart=true
                }
                else {
                    gif.jietu(jtnum)
                    if(jtnum==19){
                        jtnum=0
                        shuzi=20
                        camera.stop()
                        // preview页面初始化
//                        preview.mode="zhengxu"
                        preview.shunxutext="A-B"
                        preview.sximage="img/pulldown_press_a.png"
//                        preview.pinglv=60
                        preview.sudutext="1X"
                        preview.sdimage="img/pulldown_press_a.png"
                        preview.pvnum=0
                        preview.lastpvnum=10
                        preview.selectnum=0
                        preview.xiangqian=true
                        for(var i=0;i<20;i++){
                            preview.mygird.children[i].isSelected=false
                        }
                        //====
                        preview.state="zhong"
                        preview.pvstart=true
                        djunable()
                        //屏蔽主页面可点击区域
//                        retime.kedian=false
//                        helpicon.kedian=false
//                        abouticon.kedian=false
//                        cameraicon.kedian=false
//                        swibutt.kedian=false
                        // ======
                        camstart=false


                    }
                    else{
                        jtnum=jtnum+1
                        shuzi=shuzi-1
                    }
                }
            }
        }

        Butt {
            id:localbutt
            width: 80;height:48
            x:700; y:300
            press_img: "img/button_press.png"
            release_img: "img/button_normal.png"
            Image {
                id: ll
                anchors.centerIn: parent
                source: "img/button_local_normal.png"

            }
            onButton_clicked: {
                gifmodel.clear()
                gif.getAllGifName()
                localview.state="zhong"
                djunable()
            }

        }

        Image {
           id:swibutt
           width:200;height: 30
           anchors.horizontalCenter: parent.horizontalCenter
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 15
           source: "img/switch_normal.png"
           MouseArea {
               id:swiarea
               x: 45
               y: 1
               width:100;height: 30
               onPressed: {
                   pressX=mouseX
                   swibutt.source="img/switch_press.png"
               }
               onReleased: {
                   releaseX=mouseX
                   swibutt.source="img/switch_normal.png"
                   if(zidong==true){
                     if(releaseX>=pressX){
                     xz.x=108
                     camstart=false
                     zidong=false
                       }
                   }
                   else {
                       if(releaseX<=pressX){
                        xz.x=50
                        zidong=true
                       }
                   }

               }
           }

//           press_img: "img/switch_press.png"
//           release_img: "img/switch_normal.png"
//           onButton_clicked: {
//               if(zidong==true){
//               xz.x=108
//               camstart=false
//               zidong=false
//               }
//               else {
//                   xz.x=50
//                   zidong=true
//               }
//           }
           Image {
               id: xz
               x: 50
               y: 1
               source: "img/switchbutton.png"
           }
        }


    Timer {
        id:mytimer
        interval: 250
        repeat: true
        running: camstart
        onTriggered: {
            gif.jietu(jtnum)
            if(jtnum==19){
                jtnum=0
                shuzi=20
                camera.stop()
                // preview页面初始化
//                preview.mode="zhengxu"
                preview.shunxutext="A-B"
                preview.sximage="img/pulldown_press_a.png"
//                preview.pinglv=60
                preview.sudutext="1X"
                preview.sdimage="img/pulldown_press_a.png"
                preview.pvnum=0
                preview.lastpvnum=10
                preview.selectnum=0
                preview.xiangqian=true
                for(var i=0;i<20;i++){
                    preview.mygird.children[i].isSelected=false
                }
                //====
                preview.state="zhong"
                preview.pvstart=true
                djunable()
                //屏蔽主页面可点击区域
//                retime.kedian=false
//                helpicon.kedian=false
//                abouticon.kedian=false
//                cameraicon.kedian=false
//                swibutt.kedian=false
                // ======
                camstart=false
            }
            else {
                jtnum=jtnum+1
                shuzi=shuzi-1
            }
        }
    }

    Havegif {
        id:gif
        onSuccessMessage: {
            if(isChina){
            infobanner.text="你已成功保存本次Gif动画"
            }
            else{
                infobanner.text="You have successfully saved this Gif Animation"
            }

            infobanner.show()
        }
        onTakeNameMess: {
            thisname=gifName
            gifmodel.append({"bigname":thisname})
        }

       Component.onDestruction: gif.rmpath();
    }
    Preview{
        id:preview
        ispreview_china: language=="Chinese"
        onButton_compleate: {
            save.state="zhong"
            pvstart=false
            //屏蔽preview页面可点击区域
            pageshow=false
            //====
            console.log("===========mmm========="+mmm)
            console.log("===========sss========="+sss)
            var stime
            switch(tm){
            case 300:stime=80;break;
            case 180:stime=40;break;
            case 60:stime=10;break;
            }
            gif.getTime(stime)
            gif.imageList(mmm,sss)
        }
        onPreview_back: {
            camera.start()
            gif.rmpath()
            djable()
            //恢复主页面可点击区域
//            retime.kedian=true
//            helpicon.kedian=true
//            abouticon.kedian=true
//            cameraicon.kedian=true
//            swibutt.kedian=true
            // ======
            preview.state=""
        }
    }
    Localview {
        id:localview
        mymodel: gifmodel
        islocal_china: language=="Chinese"
        onLocal_back: {
            localview.state=""
            djable()
        }
    }


     SaveAndShare{
        id:save
        issave_china: language=="Chinese"
        onButton_back: {
            preview.pageshow=true
            save.state=""
            if(preview.state==""){
                camera.start()
                gif.rmpath()
                djable()
                //恢复主页面可点击区域
//                retime.kedian=true
//                helpicon.kedian=true
//                abouticon.kedian=true
//                cameraicon.kedian=true
//                swibutt.kedian=true
                //====
            }
            else {
            preview.pvstart=true
            }
        }
        onButton_save: {
            gif.on_btnToGif_clicked()
            preview.state=""
        }
    }
     Help{
         id:help
         ishelp_china: language=="Chinese"
         onHelp_back: {
             help.state=""
             djable()
        //恢复主页面可点击区域
//             retime.kedian=true
//             helpicon.kedian=true
//             abouticon.kedian=true
//             cameraicon.kedian=true
//             swibutt.kedian=true
             //=====
         }
     }

     About{
         id:about
         isabout_china: language=="Chinese"
         onAbout_back: {
             about.state=""
             djable()
        //恢复主页面可点击区域
//             retime.kedian=true
//             helpicon.kedian=true
//             abouticon.kedian=true
//             cameraicon.kedian=true
//             swibutt.kedian=true
             //=====
         }
     }

     InfoBanner{
         id:infobanner
         width: parent.width-20
         height: 50
         x:10
     }

     function djunable(){
         retime.kedian=false
         helpicon.kedian=false
         abouticon.kedian=false
         cameraicon.kedian=false
         swiarea.enabled=false
//         swibutt.kedian=false
         localbutt.kedian=false
     }

     function djable(){
         retime.kedian=true
         helpicon.kedian=true
         abouticon.kedian=true
         cameraicon.kedian=true
         swiarea.enabled=true
//         swibutt.kedian=true
         localbutt.kedian=true
     }
}
