import QtQuick 1.0


Item {
    id: about
    y:-480
    signal about_back();
    property bool isabout_china: true
    Image {
        id: background
        source: "img/background.jpg"
    }
    Image {
        id: pg
        x: 0
        y:70
        source: "img/about.png"
    }
    Image {
        id: topbar
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                about_back()
            }
        }

        Text {
            id: abouttext
            text: isabout_china ? "关于":"About"
            font.family: isabout_china ?"黑体":"Arial"
            anchors.centerIn: parent
            font.pixelSize: 38
            color: "white"
        }
    }


    MouseArea {
        id: mouse_area6
        x: 684
        y: 336
        width: 64
        height: 52
        onClicked: Qt.openUrlExternally("http://blog.immmooo.com/")
    }




MouseArea {
    id: mouse_area1
    x: 32
    y: 323
    width: 144
    height: 65
    onClicked: Qt.openUrlExternally("mailto:@?subject= &body=You can get this app through this link: \nhttp://store.ovi.com/publisher/MMMOOO/ \nor search 'MMMOOO' at Ovi Store.")
}

MouseArea {
    id: mouse_area2
    x: 181
    y: 323
    width: 291
    height: 65
    onClicked:Qt.openUrlExternally("http://store.ovi.com/publisher/MMMOOO/")
}

MouseArea {
    id: mouse_area3
    x: 565
    y: 182
    width: 230
    height: 37
    onClicked: Qt.openUrlExternally("mailto:@?subject")
}

MouseArea {
    id: mouse_area4
    x: 565
    y: 234
    width: 230
    height: 37
    onClicked: Qt.openUrlExternally("http://www.immmooo.com")
}

MouseArea {
    id: mouse_area5
    x: 608
    y: 336
    width: 65
    height: 52
    onClicked: Qt.openUrlExternally("http://www.flickr.com/immmooo/")
}


    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: about
                y:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: about;
                property: "y";
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]
}



