import QtQuick 1.0
Item {
    id:button
    opacity: 1

    property string img_url: release_img
    property string press_img: ""
    property string release_img: ""
    signal button_clicked()
    property bool kedian: true

    Image {
        id: backimage
        anchors.centerIn: parent
        width: parent.width
        height: parent.height
        smooth: true
        source: img_url
    }


    MouseArea{
        id:btn
        enabled: kedian
        anchors.fill: parent
        onPressed: {
            img_url = press_img
        }
        onReleased: {
            img_url = release_img
        }

        onClicked: {
            button.button_clicked()
        }
    }

}
