import QtQuick 1.0


Item {
    id: help
    y:-480
    signal help_back();
    property bool ishelp_china: true
    Image {
        id: background
        source: "img/background.jpg"
    }
    Image {
        id: topbar
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                help_back()
            }
        }

        Text {
            id: abouttext
            text: ishelp_china ? "帮助":"Help"
            font.family: ishelp_china? "黑体" : "Arial"
            anchors.centerIn: parent
            font.pixelSize: 38
            color: "white"
        }
    }

    Text {
        id: wenzi
        text: ishelp_china ?"\t摩摩Gif激发和帮助你拍摄和生成.gif微动画。内置的B-A，A-B-A功能帮助你实现有创意和有趣的动作。" : "MMMOOO Gif inspires you shot & generate .gif format animation. And the cool B-A, A-B-A function make animation creative & funny. "
        x:20;y:80
        width:800
        wrapMode: Text.WordWrap
//        anchors.horizontalCenter: parent.horizontalCenter
        font.pixelSize: 30
        font.family: ishelp_china ? "黑体" : "Arial"
        color: "white"
    }
    Text {
        id: wenzi2
        text: ishelp_china ?"\t浏览动画：\n\t由于N9自身不支持.gif格式预览，打开摩摩Gif，按‘播放’图标，浏览所有的动画。" : "View animation:\nSince N9 not natively support .gif animation preview, so open MMMOOO Gif, click 'play' icon review all the gif animations."
        x:20;y:185
        width:800
        wrapMode: Text.WordWrap
//        anchors.horizontalCenter: parent.horizontalCenter
        font.pixelSize: 30
        font.family: ishelp_china ? "黑体" : "Arial"
        color: "white"
    }
    Text {
        id: wenzi3
        text: ishelp_china ?"\t分享动画：\n\t打开“多媒体资料”，找到方格预览图的，其名字是mmmooogifX命名，虽然其看起来是静态的，实际上是动态图，使用工具条的分享功能，就可以用彩信，Email或蓝牙的方式发送了。 " : "Share animation:\nGo to 'Gallery' find the square sized mmmooogifX still image, actually it's animated, use gallery's share ability, share it via MMS, Email, Bluetooth or in SNS"
        x:20;y:310
        width:800
        wrapMode: Text.WordWrap
//        anchors.horizontalCenter: parent.horizontalCenter
        font.pixelSize: 30
        font.family: ishelp_china ? "黑体" : "Arial"
        color: "white"
    }


    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: help
                y:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: help;
                property: "y";
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]
}



