import QtQuick 1.0

Item {
    id:localPage
    width: 854;height: 480
    x:854
    property alias mymodel:view.model
    property string gifpath: "/home/user/MyDocs/MMMOOOGif/"
    signal local_back()
    property bool islocal_china: true
    Image {
        id: background
        source: "img/background.jpg"
    }
    GridView {
        id:view
        x:30;y:100
        width: 794;height: 380
        cellHeight: 190;
        cellWidth: 198;
        delegate: dege
    }
    Component {
        id:dege
        Item {
            width: 150;height: 170
            Image {
                id:gifback
                width: 150;height: 150
                anchors.top: parent.top
                source: "img/preview_circle_normal(big).png"

                Image {
                    id: gifimage
                    width: 130;height:130
                    anchors.centerIn: parent
//                    anchors.topMargin: 5
//                    anchors.leftMargin: 5
//                    anchors.rightMargin: 5
//                    anchors.bottomMargin: 5
                    source: gifpath+bigname
                }
                MouseArea {
                    id:mouse
                    anchors.fill: parent
                    onClicked: {
                        gifshow.gifname=bigname
                        gifshow.state="zhong"
                        view.enabled=false
                        backicon.kedian=false
                        console.log("============gifshow=================")
                        console.log("==========localpage.x==="+localPage.x)
                        console.log("==========localpage.y==="+localPage.y)
                        console.log("==========gifshow.x==="+gifshow.x)
                        console.log("==========gifshow.y==="+gifshow.y)
                    }
                    onPressed: {
                        gifback.source="img/preview_circle_press(big).png"
                    }
                    onReleased: {
                        gifback.source="img/preview_circle_normal(big).png"
                    }
                    onPositionChanged: {
                        gifback.source="img/preview_circle_normal(big).png"
                    }
                }
            }


            Text {
                id: mytext
                text: bigname
                y:156
                anchors.horizontalCenter: parent.horizontalCenter
                font.family: "Arial"
                color: "red"
                font.pixelSize: 20
            }
        }
    }
    Image {
        id: topbar
        source: "img/navigation_top.png"
        Butt {
            id: backicon
            width: 80;height: 48
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 40
            press_img: "img/button_back_press.png"
            release_img: "img/button_back_normal.png"
            onButton_clicked: {
                local_back()
            }
        }

        Text {
            id: abouttext
            text: islocal_china ? "本地Gif":"local Gif"
            font.family: islocal_china? "黑体" : "Arial"
            anchors.centerIn: parent
            font.pixelSize: 38
            color: "white"
        }

    }
    Gifview {
        id:gifshow
        onGif_back: {
            view.enabled=true
            backicon.kedian=true
            gifshow.state=""
            console.log("==========localpage.x==="+localPage.x)
            console.log("==========localpage.y==="+localPage.y)
            console.log("==========gifshow.x==="+gifshow.x)
            console.log("==========gifshow.y==="+gifshow.y)
        }
    }

    states: [
        State {
            name: "zhong"
            PropertyChanges {
                target: localPage
                x:0
            }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation {
                target: localPage
                property: "x"
                ///to: value;
                duration: 300
                //easing.type: Easing.OutBounce;
            }
        }
    ]

}
